aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-openweather
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-10-28 10:54:09 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-30 08:23:17 +0000
commit76aa7bb7bee1109e5b8b357e683672437f7a3797 (patch)
treeeec4214e712261748f4ec1dd3b3950422716d5b8 /testing/py-openweather
parentc21d6c8459fdd54db574bdf6841e9d0c9186b87c (diff)
downloadaports-76aa7bb7bee1109e5b8b357e683672437f7a3797.tar.gz
aports-76aa7bb7bee1109e5b8b357e683672437f7a3797.tar.bz2
aports-76aa7bb7bee1109e5b8b357e683672437f7a3797.tar.xz
testing/py-openweather: new aport
Python API wrapper for OpenWeatherMap.org http://github.com/marians/openweather
Diffstat (limited to 'testing/py-openweather')
-rw-r--r--testing/py-openweather/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-openweather/APKBUILD b/testing/py-openweather/APKBUILD
new file mode 100644
index 0000000000..10b7f1ae1c
--- /dev/null
+++ b/testing/py-openweather/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-openweather
+_pkgname=openweather
+pkgver=0.6
+pkgrel=0
+pkgdesc="Python API wrapper for OpenWeatherMap.org"
+url="http://github.com/marians/openweather"
+arch="noarch"
+license="MIT"
+depends="python py-daterangestr"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="d0db03a46c1f9337aaf572f61e6e1569 openweather-0.6.tar.gz"
+sha256sums="2a8e9da623bda913bc309a200678388641eb2da2108efccd63c9e3815ddfeef8 openweather-0.6.tar.gz"
+sha512sums="1f157c04a6d5b0f2175119c9791d93693e2026e78365a448234082902efb5217ff8bce79555355906b40a3a0a0a5c3a1a581455c99795e35099608f69e2a9ef8 openweather-0.6.tar.gz"